summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMorten Welinder <mortenw@src.gnome.org>2002-02-13 20:52:39 +0000
committerMorten Welinder <mortenw@src.gnome.org>2002-02-13 20:52:39 +0000
commit5e4b55af036109cdc3118b6f459437d99c0f97e9 (patch)
tree7c556cf42edde71872fa049a9bc3d7f99ff328cf
parente8c33a0c0f2aa980e798db0594a823c697c10cb5 (diff)
downloadgnome-common-5e4b55af036109cdc3118b6f459437d99c0f97e9.tar.gz
Kill bashisms as discussed.
svn path=/trunk/; revision=2341
-rw-r--r--macros2/autogen.sh3
-rw-r--r--macros2/gnome-pkgconfig.m43
2 files changed, 4 insertions, 2 deletions
diff --git a/macros2/autogen.sh b/macros2/autogen.sh
index 9b544c5..9e5e9ed 100644
--- a/macros2/autogen.sh
+++ b/macros2/autogen.sh
@@ -62,7 +62,8 @@ if grep "^AM_[A-Z0-9_]\{1,\}_GETTEXT" $srcdir/configure.in >/dev/null; then
GETTEXTIZE_URL="ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
fi
- if ! $GETTEXTIZE --version < /dev/null > /dev/null 2>&1; then
+ $GETTEXTIZE --version < /dev/null > /dev/null 2>&1
+ if test $? -ne 0; then
echo
echo "**Error**: You must have \`$GETTEXTIZE' installed to compile $PKG_NAME."
echo "Get $GETTEXTIZE_URL"
diff --git a/macros2/gnome-pkgconfig.m4 b/macros2/gnome-pkgconfig.m4
index 728f88e..94a3ad5 100644
--- a/macros2/gnome-pkgconfig.m4
+++ b/macros2/gnome-pkgconfig.m4
@@ -12,7 +12,8 @@ AC_DEFUN([GNOME_CHECK_PKGCONFIG],[
AC_MSG_CHECKING(for pkg-config)
pkgconfig_required_version=0.8.0
if test x$have_pkgconfig = xyes ; then
- if ! $PKG_CONFIG --atleast-pkgconfig-version $pkgconfig_required_version; then
+ $PKG_CONFIG --atleast-pkgconfig-version $pkgconfig_required_version
+ if test $? -ne 0; then
echo "*** Your version of pkg-config is too old. You need version $pkgconfig_required_version or newer."
echo "*** See http://www.freedesktop.org/software/pkgconfig"
have_pkgconfig=no